Bug 136045 - core IDE driver is claiming ata_piix devices
core IDE driver is claiming ata_piix devices
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FC3Blocker
  Show dependency treegraph
 
Reported: 2004-10-17 01:42 EDT by Bill Nottingham
Modified: 2015-01-04 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.6.9-1.635
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 00:50:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2004-10-17 01:42:26 EDT
Description of problem:

SSIA

Version-Release number of selected component (if applicable):

2.6.8-1.624

How reproducible:

Every time.

Steps to Reproduce:
1. boot rawhide installer on i865 box, 8086:24d1
2. There is no step 2
  
Actual results:

Look, it's /dev/hda, there's no DMA, it's slow, blah blah blah.

Expected results:

/dev/sda, handled by ata_piix, etc.

Additional info:

PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.2
...
Probing IDE interface ide0
hda: ST3120026AS, ATA DISK drive
Probing IDE interface ide1
hdc: COMBI RW32/DVD, ATAPI CD/DVD-ROM drive
Probing IDE interface ide(2,3,4,5)
ide(2,3,4,5): Wiat for ready failed before probe !
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: ...
...
Comment 1 Bill Nottingham 2004-10-17 01:48:20 EDT
This works correctly with the test3 installer.
Comment 2 Bill Nottingham 2004-10-17 01:50:39 EDT
Switching the BIOS from 'Legacy' to 'Native/Enhanced/whatever' makes
it work as expected, but this wasn't necessary before.
Comment 3 Bill Nottingham 2004-10-19 00:49:05 EDT
2.6.9-1.635 fixes this for me.

Note You need to log in before you can comment on or make changes to this bug.